//
//  EdgeGlowFragment.glsl
//  Magic Globe
//
//  Created by joeld on 1/20/12.
//  Copyright 2012 Smule. All rights reserved.
//

varying lowp vec4 colorVarying;
varying mediump vec2 stVarying;
varying highp vec3 posVarying;

uniform sampler2D skyGradient;

void main()
{
    // Just look up the sky color from the gradient texture.
    mediump vec4 skyColor = texture2D( skyGradient, stVarying );
    gl_FragColor = skyColor;
}
